       SUBROUTINE UGDEFSOURCE
C
       IMPLICIT NONE
C
       include 'vols.inc'
       include 'materials.inc'
 
C The universe is a big box of air. The size of the universe
C is defined in the datacard using the keywork 'MVOL'
 
       INTEGER IVOL

C This'll create a tube with inner radius
C SCINTPAR(1), outer radius SCINTPAR(2), and 
C half length SCINTPAR(3)


       CSPAR(1) = 0.
       CSPAR(2) = 0.2
       CSPAR(3) = 0.2
       SSPAR(1) = 0.
       SSPAR(2) = 0.24
       SSPAR(3) = 0.24

        CALL GSVOLU('CS  ','TUBE', IMATCS, CSPAR, 3,IVOL)

        CALL GSVOLU('SS  ','TUBE', IMATSS, SSPAR, 3,IVOL)

 
C Position this in the universe

      CALL GSPOS('SS  ',1,'BLOC',0.,0.,
     +              BLOCKPAR(3)-SSPAR(3),0,'ONLY')

      CALL GSPOS('CS  ',1,'SS  ',0.,0.,0.,0,'ONLY')

       END
